[workspace]
members = [
  ".",
  "api",
  "typegen",
  "ui-gpui",
  "ui-iced",
  "store",
  "jello-types",
  "gst",
  "examples/hdr-gstreamer-wgpu",
]
[workspace.dependencies]
iced = { version = "0.14.0", features = [
  "advanced",
  "canvas",
  "image",
  "sipper",
  "tokio",
  "debug",
] }
iced_video_player = "0.6"
gst = { version = "0.1.0", path = "gst" }
# iced_video_player = { git = "https://github.com/jazzfool/iced_video_player" }
# iced_video_player = { path = "crates/iced_video_player" }

[package]
name = "jello"
version = "0.1.0"
edition = "2024"
license = "MIT"

[dependencies]
api = { version = "0.1.0", path = "api" }
clap = { version = "4.5", features = ["derive"] }
clap-verbosity-flag = { version = "3.0.4", features = ["tracing"] }
clap_complete = "4.5"
color-backtrace = "0.7.2"
dotenvy = "0.15.7"
error-stack = "0.6"
thiserror = "2.0"
tokio = { version = "1.43.1", features = ["macros", "rt-multi-thread"] }
toml = "0.9.8"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }

ui-gpui = { version = "0.1.0", path = "ui-gpui", optional = true }
ui-iced = { version = "0.1.0", path = "ui-iced", optional = true }

[features]
default = ["iced"]
iced = ["dep:ui-iced"]
gpui = ["dep:ui-gpui"]
